///File : StaticText.hpp
//------------------------------------------------------------------------------
/*
    This file is part of DevisMaker.

    DevisMaker is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DevisMaker is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DevisMaker.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#ifndef MDO_STATIC_TEXT_HPP_DEVIS_MAKER
#define MDO_STATIC_TEXT_HPP_DEVIS_MAKER
//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include "config.hpp"
#include "buildVersionOptions.hpp"
//------------------------------------------------------------------------------
#include <DevisManager.hpp>
#include "TextBase.hpp"
//------------------------------------------------------------------------------
#include "strWxStdConv.hpp"
//------------------------------------------------------------------------------

namespace mdo
{
    #define MDO_STATIC_TEXT_TYPE_NAME "mdoStaticText"

	class StaticText : public TextBase
    {
	public:
        StaticText(ConfigManager *cfg, ConfigManager *devisCfg, DrawableObject *parrentSizer, const std::string &name = "");

        // Cfg
		virtual void LoadFromCfg(const std::string &name = "");
		virtual void SaveToCfg(const std::string &name = "");
		virtual void CreateToCfg(const std::string &name = "");
		virtual void RemoveFromCfg(const std::string &name = "", const bool &withChilds = true);
		virtual void EditPropertyDialog(DialogProperty *window);

		virtual bool CalculSizeReal(wxDC *dc, const int &width, const int &askedHeight = 0);

	protected:
        wxString m_text;
	};
}


#endif // MDO_STATIC_TEXT_HPP_DEVIS_MAKER
